Name:           ircp-tray
Version:        0.7.4
Release:        1%{?dist}
Summary:        Infrared file transfer applet for GNOME panel

Group:          Applications/Internet
License:        GPLv2+
URL:            https://launchpad.net/ircp-tray
Source0:        http://launchpad.net/ircp-tray/trunk/0.7.3/+download/%{name}-%{version}.tar.gz
Patch0:         ircp-tray-0.7.4-lX11.patch
Patch1:         ircp-tray-0.7.4-gtk.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  intltool gettext
BuildRequires:  libnotify-devel
BuildRequires:  gtk2-devel
BuildRequires:  openobex-devel
BuildRequires:  desktop-file-utils
BuildRequires:  autoconf automake

%description
Ircp-Tray is am infrared file transfer program. It stays inside your system
tray, listening for incoming OBEX file transfer request, as well as sending
file out to remote devices via IrDA.


%prep
%setup -q
%patch0 -p1 -b .lX11
%patch1 -p1 -b .gtk


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/ircp-tray.desktop
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/ircp-tray
%{_datadir}/pixmaps/ircp-tray
%{_datadir}/applications/ircp-tray.desktop
%{_datadir}/icons/hicolor/22x22/apps/ircp-tray*
%doc AUTHORS CONTRIBUTORS COPYING NEWS README


%changelog
* Wed Feb 17 2010 Lubomir Rintel <lkundrak@v3.sk> - 0.7.4-1
- Fix build
- Update to later upstream release

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 29 2008 Lubomir Rintel <lkundrak@v3.sk> - 0.7.3-2
- Fix dependencies, validate desktop files (thanks to Dan Horak)

* Sun Dec 28 2008 Lubomir Rintel <lkundrak@v3.sk> - 0.7.3-1
- Initial packaging
